/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import { sendRequest } from './use_request';
import type { EditorRequest } from '../application/containers/editor/monaco/types';

export async function convertRequestToLanguage({
  requests,
  language,
  esHost,
}: {
  language: string;
  esHost: string;
  requests: EditorRequest[];
}) {
  return sendRequest({
    path: `/api/console/convert_request_to_language`,
    method: 'post',
    query: { language, esHost },
    body: requests,
  });
}
