/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import { DataPublicPluginStart } from '@kbn/data-plugin/public';
import { DataView } from '@kbn/data-views-plugin/public';
import { ControlInput } from '../../types';

export interface ControlsDataService {
  fetchFieldRange: (
    dataView: DataView,
    fieldName: string,
    input: ControlInput
  ) => Promise<{ min: number; max: number }>;
  query: DataPublicPluginStart['query'];
  searchSource: DataPublicPluginStart['search']['searchSource'];
  timefilter: DataPublicPluginStart['query']['timefilter']['timefilter'];
}
