/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

import { PluginServiceFactory } from '@kbn/presentation-util-plugin/public';
import { FavoritesClient } from '@kbn/content-management-favorites-public';
import { httpServiceMock } from '@kbn/core-http-browser-mocks';
import { DashboardFavoritesService } from './types';

export type DashboardFavoritesServiceFactory = PluginServiceFactory<DashboardFavoritesService>;

export const dashboardFavoritesServiceFactory: DashboardFavoritesServiceFactory = () => {
  return new FavoritesClient('dashboard', { http: httpServiceMock.createStartContract() });
};
